import { IgxBaseButtonType, IgxButtonBaseDirective } from './button-base';
import * as i0 from "@angular/core";
/**
 * Determines the Icon Button type.
 */
export type IgxIconButtonType = typeof IgxBaseButtonType[keyof typeof IgxBaseButtonType];
/**
 * The IgxIconButtonDirective provides a way to use an icon as a fully functional button.
 *
 * @example
 * ```html
 * <button type="button" igxIconButton="outlined">
 *      <igx-icon>home</igx-icon>
 * </button>
 * ```
 */
export declare class IgxIconButtonDirective extends IgxButtonBaseDirective {
    private static ngAcceptInputType_type;
    /**
     * @hidden
     * @internal
     */
    private _cssClass;
    /**
     * @hidden
     * @internal
     */
    private _type;
    /**
     * Sets the type of the icon button.
     *
     * @example
     * ```html
     * <button type="button" igxIconButton="flat"></button>
     * ```
     */
    set type(type: IgxIconButtonType);
    /**
     * @hidden
     * @internal
     */
    get flat(): boolean;
    /**
     * @hidden
     * @internal
     */
    get contained(): boolean;
    /**
     * @hidden
     * @internal
     */
    get outlined(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxIconButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxIconButtonDirective, "[igxIconButton]", never, { "type": { "alias": "igxIconButton"; "required": false; }; }, {}, never, never, true, never>;
}
