import { ChangeDetectorRef, ElementRef, EnvironmentInjector, Injector, OnChanges, QueryList, SimpleChanges, TemplateRef, ViewContainerRef } from '@angular/core';
import { IgxColumnComponent } from '../columns/column.component';
import { PivotGridType } from '../common/grid.interface';
import { IgxGridHeaderRowComponent } from '../headers/grid-header-row.component';
import { IPivotDimension, IPivotDimensionData, IPivotGridGroupRecord } from './pivot-grid.interface';
import { IgxPivotRowDimensionHeaderGroupComponent } from './pivot-row-dimension-header-group.component';
import { IMultiRowLayoutNode } from '../common/types';
import * as i0 from "@angular/core";
/**
 *
 * For all intents & purposes treat this component as what a <thead> usually is in the default <table> element.
 *
 * This container holds the pivot grid header elements and their behavior/interactions.
 *
 * @hidden @internal
 */
export declare class IgxPivotRowDimensionContentComponent extends IgxGridHeaderRowComponent implements OnChanges {
    grid: PivotGridType;
    protected injector: Injector;
    protected envInjector: EnvironmentInjector;
    protected viewRef: ViewContainerRef;
    get rowStart(): string;
    get rowsEnd(): string;
    get colStart(): string;
    get colEnd(): string;
    /**
     * @hidden
     * @internal
     */
    rowIndex: number;
    /**
     * @hidden
     * @internal
     */
    colIndex: number;
    layout: IMultiRowLayoutNode;
    dimension: IPivotDimension;
    rootDimension: IPivotDimension;
    rowData: IPivotGridGroupRecord;
    /**
    * @hidden @internal
    */
    headerTemplate: TemplateRef<any>;
    /**
     * @hidden @internal
     */
    headerTemplateDefault: TemplateRef<any>;
    headerGroups: QueryList<IgxPivotRowDimensionHeaderGroupComponent>;
    constructor(grid: PivotGridType, ref: ElementRef<HTMLElement>, injector: Injector, envInjector: EnvironmentInjector, cdr: ChangeDetectorRef, viewRef: ViewContainerRef);
    /**
     * @hidden @internal
     */
    rowDimensionData: IPivotDimensionData;
    get rowDimensionColumn(): import("../common/grid.interface").ColumnType;
    /**
    * @hidden
    * @internal
    */
    ngOnChanges(changes: SimpleChanges): void;
    /**
    * @hidden
    * @internal
    */
    toggleRowDimension(event: any): void;
    /**
     * @hidden
     * @internal
     */
    getRowDimensionKey(): string;
    getExpandState(): boolean;
    getLevel(): number;
    protected getHeaderWidthFromDimension(): string | number;
    protected extractFromDimensions(): void;
    protected extractFromDimension(dim: IPivotDimension, rowData: IPivotGridGroupRecord): IgxColumnComponent;
    protected _createColComponent(field: string, header: string, dim: IPivotDimension): IgxColumnComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxPivotRowDimensionContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxPivotRowDimensionContentComponent, "igx-pivot-row-dimension-content", never, { "rowIndex": { "alias": "rowIndex"; "required": false; }; "colIndex": { "alias": "colIndex"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "dimension": { "alias": "dimension"; "required": false; }; "rootDimension": { "alias": "rootDimension"; "required": false; }; "rowData": { "alias": "rowData"; "required": false; }; }, {}, never, never, true, never>;
}
